%define major   0.26
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           albert
Version:        0.26.7
Release:        %mkrel 2
Summary:        A fast and flexible keyboard launcher
License:        GPLv2+
Group:          Graphical desktop/Other
URL:            https://github.com/albertlauncher/albert
Source0:        https://github.com/albertlauncher/albert/releases/download/v%{version}/v%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  pybind11-devel
BuildRequires:  pkgconfig(muparser)
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(libqalculate) >= 2.2.1
BuildRequires:  pkgconfig(xext)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6StateMachine)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Widgets)

# Required for notify-send, used for un-implemented actions:
Requires:       libnotify
# mga#25029
Requires:       qt6-database-plugin-sqlite

%description
Access everything with virtually zero effort. Run applications, open files
or their paths, open bookmarks in your browser, search the web, calculate
things and a lot more …

Albert is a desktop agnostic launcher. Its goals are usability and beauty,
performance and extensibility. It is written in C++ and based on the Qt
framework.

%package -n %{libname}
Summary:        Shared library for %{name}
Group:          System/Libraries

%description -n %{libname}
This package provides shared library for %{name}.

%package -n %{devname}
Summary:        Development package for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -n %{name}

%build
%cmake_qt6 -DCMAKE_INSTALL_LIBDIR="%{_lib}" \
           -DCMAKE_SKIP_RPATH=OFF \
           -DCMAKE_FIND_PACKAGE_RESOLVE_SYMLINKS=ON \
           -DQHOTKEY_INSTALL=OFF \
           -DBUILD_PLUGIN_APPLICATIONS=ON \
           -DBUILD_PLUGIN_CAFFEINE=ON \
           -DBUILD_PLUGIN_CALCULATOR_QALCULATE=ON \
           -DBUILD_PLUGIN_CHROMIUM=ON \
           -DBUILD_PLUGIN_CLIPBOARD=ON \
           -DBUILD_PLUGIN_DATETIME=ON \
           -DBUILD_PLUGIN_DEBUG=OFF \
           -DBUILD_PLUGIN_DICTIONARY=ON \
           -DBUILD_PLUGIN_FILES=ON \
           -DBUILD_PLUGIN_HASH=ON \
           -DBUILD_PLUGIN_MPRIS=ON \
           -DBUILD_PLUGIN_PATH=ON \
           -DBUILD_PLUGIN_PYTHON=ON \
           -DBUILD_PLUGIN_SNIPPETS=ON \
           -DBUILD_PLUGIN_SSH=ON \
           -DBUILD_PLUGIN_SYSTEM=ON \
           -DBUILD_PLUGIN_TIMER=ON \
           -DBUILD_PLUGIN_TIMEZONES=ON \
           -DBUILD_PLUGIN_URLHANDLER=ON \
           -DBUILD_PLUGIN_VPN=ON \

%cmake_build

%install
%cmake_install

%files
%{_bindir}/albert
%{_datadir}/albert/
%{_iconsdir}/hicolor/scalable/apps/albert.svg
%{_datadir}/applications/albert.desktop
%{_libdir}/albert/

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/Albert/


%changelog
* Fri Mar 07 2025 papoteur <papoteur> 0.26.7-2.mga10
+ Revision: 2161409
- rebuild for python 3.13

* Sun Nov 10 2024 daviddavid <daviddavid> 0.26.7-1.mga10
+ Revision: 2113685
- new version: 0.26.7
- switch to Qt6

* Sat Dec 30 2023 daviddavid <daviddavid> 0.14.21-14.mga10
+ Revision: 2024607
- rebuild for py3.12

* Tue Apr 05 2022 umeabot <umeabot> 0.14.21-13.mga9
+ Revision: 1844180
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 tv <tv> 0.14.21-12.mga9
+ Revision: 1782172
- Rebuild for python-3.10

* Sat Mar 20 2021 daviddavid <daviddavid> 0.14.21-11.mga9
+ Revision: 1705919
- rebuild for python 3.9

* Wed Dec 16 2020 umeabot <umeabot> 0.14.21-10.mga8
+ Revision: 1658127
- Rebuild for new Qt5

* Thu Oct 22 2020 akien <akien> 0.14.21-9.mga8
+ Revision: 1638650
+ rebuild (emptylog)

* Sun Feb 16 2020 umeabot <umeabot> 0.14.21-8.mga8
+ Revision: 1531043
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Sep 09 2019 wally <wally> 0.14.21-7.mga8
+ Revision: 1438899
- rebuild for python3.8

* Sun Jul 07 2019 daviddavid <daviddavid> 0.14.21-6.mga8
+ Revision: 1419360
- disable rpath
- fix cmake lib install dir

* Tue Jul 02 2019 daviddavid <daviddavid> 0.14.21-5.mga8
+ Revision: 1417512
- add missing dependency on qt5-database-plugin-sqlite (mga#25029)

* Fri Mar 29 2019 umeabot <umeabot> 0.14.21-4.mga7
+ Revision: 1381221
- Qt5 Rebuild

* Wed Jan 09 2019 daviddavid <daviddavid> 0.14.21-3.mga7
+ Revision: 1353052
- rebuild for new Python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 0.14.21-2.mga7
+ Revision: 1294638
- Mageia 7 Mass Rebuild

* Thu Jun 14 2018 buchan <buchan> 0.14.21-1.mga7
+ Revision: 1236859
- Update to 0.14.21
- update submodule sources accordingly
- BR qt5qml-devel
- Update to 0.14.18
- Drop patches that were upstreamed
- Add sources for the plugins that were moved to submodules
- Switch to python 3 (some python plugins now use python 3 features)
- BR pybind11-devel and qalculate-devel
- Move internal libraries to an application-specific directory

* Mon Dec 11 2017 buchan <buchan> 0.12.0-1.mga7
+ Revision: 1182244
- imported package albert

